QGIS Application - Bug report #573
upgrade to titan but it won't start as | get a segmentation fault
2007-02-06 04:28 AM - bshcm03-yahoo-co-uk -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Fedora Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 10632
Description

| have upgraded to titan but QGIS will no longer start - | get a segmentation fault on start up. | was able to use the previous version (with
intermittent errors).

| have created (and attached) log files for configure, make and make install. | was getting a gt4 error but this was resolved after | chagned
the qt4 installation directory from default to /usr/local/qt4

| ideally run qgis from within grass (grass 6.2.1) but cannot do this either.

| was getting some make install warnings,but not errors.

Do you have any thoughts?

If you need any further information etc, please do not hesitate to ask.

Thanks

History

#1 - 2007-02-06 08:01 AM - Maghus Homann

- Status changed from Open to In Progress

When you run ./configure, a file named config.log is automatically created. This is my config.log which doesn't look like yours. Did you pipe the output of

configure to config.log?

Around line 10, you can see how | configured it. QT and GRASS is probably needed. If you still have problems, use --enable-debug to give us some hints

when running.

What is the revision of the source? Tar-ball or from SVN?

#2 - 2007-02-07 12:58 AM - anonymous -

Replying to [comment:1 homann]:

When you run ./configure, a file named config.log is automatically created. This is my config.log which doesn't look like yours. Did you pipe the
output of configure to config.log?

Around line 10, you can see how | configured it. QT and GRASS is probably needed. If you still have problems, use --enable-debug to give us some
hints when running.

What is the revision of the source? Tar-ball or from SVN?

Thanks for looking at this. The correct config.log is now attached - you were right about how the previous one was generated.

| am using Tar-ball source downloaded yesterday so the version is 0.8.0

I have checked the config.log file as best | can and can't seem to see any errors or warnings. | tried running make clean then make check after running
Jeonfigure again and | got errors. My piped log file for make check is also attached. At the end of this log file | have included the error message which was

displayed.

Any more thoughts?

#3 - 2007-02-08 01:52 AM - bshcmO03 -

| have progressed a little: configure now completes and config log is attached. Make also completes withour error and make install completes without
errors. | fixed the paths to qt4 and installed gsl. But, when | run qgis from the command line, | still get a segmentation fault. The debug output is attached
as qgis error 8-2-07

Can you have a look at this information and suggest some more things to try.

Thanks.

#4 - 2007-02-08 09:02 AM - Magnus Homann

Hmm...

It crashes while loading plugins/providers/widgets from /usr/lib/qgis/. It loads them in alphabetical order, so you could try remove
libggsprojectionselector.so/.a and then proceed in alphabetical order... :-)

Have you double-checked you are using x64 version of all libs? Try Idd on both 'qgis' and all the plugins in /usr/lib/qgis/, to see what they link to.

Also try starting qgis in gdb, and supply backtrace.

You are not the only one with problems on x64, se #563

#5 - 2007-02-09 03:42 AM - anonymous -

Replying to [comment:4 homann]:

Hmm...

It crashes while loading plugins/providers/widgets from /usr/lib/qgis/. It loads them in alphabetical order, so you could try remove
libqgsprojectionselector.so/.a and then proceed in alphabetical order... :-)

Have you double-checked you are using x64 version of all libs? Try Idd on both ‘qgis’ and all the plugins in /usr/lib/qgis/, to see what they link to.

Also try starting qgis in gdb, and supply backtrace.
You are not the only one with problems on x64, se #563

Thanks - it now works. This is what | did.

| followed all the steps you suggested above and using gdb helped me to identify the problem. This is what | did (for the benefit of others)

prompt> gdb

(gdb) run /usr/bin/qgis

the error occured when it tried to run something from the directory /usr/lib64/qt3-3

| renamed this directory /usr/lib64/qt3-3bu and then restared qgis. It loaded and now seems to be working fine.

| renamed to directory back to /usr/lib64/qt3-3 so that | could recreate the error to provide you with better feedback but | cannot recreate the problem.

Problem solved. Thanks for your help.

#6 - 2007-02-09 09:19 AM - Magnus Homann
- Status changed from In Progress to Closed
- Resolution set to invalid

Sounds like the wrong Qt runtime libraries got picked up. Not a bug in Qgis, but glad to help! :-)

#7 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

config.log 40.7 KB 2007-02-06 bshcm03-yahoo-co-uk -
make.log 16.9 KB 2007-02-06 anonymous -
make.install.log 164 KB 2007-02-06 bshecm03-yahoo-co-uk -
config.2.log 96.4 KB 2007-02-06 Magnus Homann
config.3.log 91.2KB 2007-02-06 bshcmo03 -
bh.make.check.log 164 KB 2007-02-07 bshcm03 -
config.4.log 91.4 KB 2007-02-08 bshecmO03 -
qgis_error_8-2-07 8.83 KB 2007-02-08 bshecmO03 -
